Bug 1474762 - From the logs, it looks like there is some problem with ocamlnet package in Fedora 26 (netsys library is provided by ocamlnet).
Summary: From the logs, it looks like there is some problem with ocamlnet package in F...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml-ocamlnet
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-25 11:02 UTC by Sergio Basto
Modified: 2017-08-02 16:50 UTC (History)
1 user (show)

Fixed In Version: ocaml-ocamlnet-4.1.2-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-02 16:50:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Sergio Basto 2017-07-25 11:02:50 UTC
Description of problem:
From the logs, it looks like there is some problem with ocamlnet package in Fedora 26 (netsys library is provided by ocamlnet).
Error: Files /usr/lib64/ocaml/netsys/netsys_oothr_mt.cmxa
   and /usr/lib64/ocaml/threads/threads.cmxa
   make inconsistent assumptions over implementation Thread

Reference: 
https://github.com/astrada/google-drive-ocamlfuse/issues/333#issuecomment-317671722

Also: 

https://github.com/sergiomb2/google-drive-ocamlfuse/issues/3#issuecomment-314485305

This report is based on these 2 builds on copr :
https://copr.fedorainfracloud.org/coprs/sergiomb/google-drive-ocamlfuse/build/578094/
https://copr.fedorainfracloud.org/coprs/sergiomb/google-drive-ocamlfuse/build/582597/

Comment 1 Richard W.M. Jones 2017-07-25 11:27:50 UTC
It looks as if when we rebuilt OCaml to fix bug 1464920 (CVE-2017-9772)
that changed some of the hashes in certain base libraries (it wasn't
supposed to do that) which broke some dependencies.

In this case:

$ ocamlobjinfo /usr/lib64/ocaml/netsys/netsys_oothr_mt.cmxa
...
Implementations imported:
	9e8602427c2eaa090ad5d8f7196537fd	Thread

In ocaml-4.04.0-9.fc26.x86_64:

$ ocamlobjinfo /usr/lib64/ocaml/threads/thread.cmx
...
CRC of implementation: 9e8602427c2eaa090ad5d8f7196537fd

In ocaml-4.04.0-10.fc26.x86_64 [CVE fixed]:

$ ocamlobjinfo /usr/lib64/ocaml/threads/thread.cmx
...
CRC of implementation: 90ec9c07667fdae83c9a1b378fb849e8

This sort of thing is supposed to be picked up by RPM dependencies, but
our dependencies only cover bytecode objects not native code objects
(for historical reasons - we could fix this), so this happened.

I will rebuild ocaml-ocamlnet now.  Let me know if any other libraries
seem to need rebuilding.

Comment 2 Richard W.M. Jones 2017-07-25 11:29:26 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=20722180

Comment 3 Fedora Update System 2017-07-25 12:17:07 UTC
ocaml-ocamlnet-4.1.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c07f36268c

Comment 4 Sergio Basto 2017-07-25 12:52:25 UTC
(In reply to Richard W.M. Jones from comment #1)
> Let me know if any other libraries seem to need rebuilding.

ocaml-cryptokit

Error: Files /usr/lib64/ocaml/cryptokit/cryptokit.cmxa
       and /usr/lib64/ocaml/unix.cmxa
       make inconsistent assumptions over implementation Unix

[1] 
https://copr-be.cloud.fedoraproject.org/results/sergiomb/google-drive-ocamlfuse/fedora-26-x86_64/00583324-google-drive-ocamlfuse/build.log.gz

Comment 5 Fedora Update System 2017-07-25 13:07:17 UTC
ocaml-cryptokit-1.11-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d08d29a9e7

Comment 6 Fedora Update System 2017-07-26 01:19:43 UTC
ocaml-ocamlnet-4.1.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c07f36268c

Comment 7 Fedora Update System 2017-07-26 01:19:53 UTC
ocaml-cryptokit-1.11-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d08d29a9e7

Comment 8 Fedora Update System 2017-08-02 16:50:03 UTC
ocaml-ocamlnet-4.1.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-08-02 16:50:13 UTC
ocaml-cryptokit-1.11-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.